AtteanX::Parser::Turtle(3pm)

NAME
AtteanX::Parser::Turtle - Turtle RDF Parser

VERSION
This document describes AtteanX::Parser::Turtle version 0.019

SYNOPSIS
 use AtteanX::Parser::Turtle;
 my $parser     = AtteanX::Parser::Turtle->new( handler => sub {...} );
 $parser->parse_cb_from_io( $fh, $base_uri );

DESCRIPTION
This module implements a parser for the Turtle RDF format.

ATTRIBUTES

"canonical_media_type"
"media_types"
"file_extensions"
"canonicalize"
    A boolean indicating whether term values should be canonicalized during parsing.

METHODS

"has_namespaces"
    Returns true if the parser has a namespace map, false otherwise.

"parse_cb_from_io( $fh )"
    Calls the "$parser->handler" function once for each Attean::API::Binding object that result from parsing the data read from the IO::Handle object $fh.

"parse_cb_from_bytes( $data )"
    Calls the "$parser->handler" function once for each Attean::API::Binding object that result from parsing the data read from the UTF-8 encoded byte string $data.

"parse_term_from_string( $bytes )"
    This method is deprecated, as the name was misleading. Calls should be replaced with "parse_term_from_bytes".

"parse_term_from_bytes ( $bytes, $base )"
"parse_node ( $bytes, $base )"
    Returns the Attean::API::Term object corresponding to the node whose N-Triples serialization is found at the beginning of $bytes.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.